Package com.google.protobuf

# Interface AbstractMessageLite.InternalOneOfEnum

All Known Implementing Classes:
  `ClientWireProtocol.Authenticator.ResponseOneofCase`, `ClientWireProtocol.ClientConnectionSSO2Response.ResponseOneofCase`, `ClientWireProtocol.FetchSystemMetadataResponse.ResultOneofCase`, `ClientWireProtocol.Request.RequestOneofCase`, `ClientWireProtocol.SetParameter.ParameterCase`, `Value.KindCase`

Enclosing class:
  `AbstractMessageLite<MessageType extends AbstractMessageLite<MessageType,BuilderType>,BuilderType extends AbstractMessageLite.Builder<MessageType,BuilderType>>`

protected static interface AbstractMessageLite.InternalOneOfEnum
Interface for an enum which signifies which field in a `oneof` was specified.

## Method Summary

Modifier and Type
Method
Description
`int`
`getNumber()`
Retrieves the field number of the field which was set in this `oneof`, or `0` if none were.

## Method Details

### getNumber

int getNumber()
Retrieves the field number of the field which was set in this `oneof`, or `0` if none were.